import Vue from 'vue'
import Vuex from 'vuex'
// [ seedSheedSource, seedSheedLevel, seedSheedStatus ]
import publicType from './publicType.js' // 公共的类型 

Vue.use(Vuex)

export default new Vuex.Store({
	strict: true,
	state: {
		token: localStorage.getItem("token"),
		...publicType
	},
	getters: {
		token: state => state.token,
	},
	mutations: {
		setToken(state, token) {
			state.token = token
		}
	},
	actions: {
		login({ commit }, token) {
			commit('setToken', token)
		},
	}
})
